
from BaseDataMaintenance.model.ots.BaseModel import BaseModel


DOCUMENT_PRODUCT_ID = 'id'
DOCUMENT_PRODUCT_NAME = 'name'
DOCUMENT_PRODUCT_BRAND = 'brand'
DOCUMENT_PRODUCT_SPECS = 'specs'
DOCUMENT_PRODUCT_BRANDSPECS = 'brandSpecs'
DOCUMENT_PRODUCT_FULL_NAME = 'full_name'
DOCUMENT_PRODUCT_UNIT_PRICE = 'unit_price'
DOCUMENT_PRODUCT_QUANTITY = 'quantity'
DOCUMENT_PRODUCT_QUANTITY_UNIT = 'quantity_unit'
DOCUMENT_PRODUCT_TOTAL_PRICE = 'total_price'
DOCUMENT_PRODUCT_SUPPLIER = 'supplier'
DOCUMENT_PRODUCT_PARAMETER = 'parameter'
DOCUMENT_PRODUCT_CATEGORY = 'category'
DOCUMENT_PRODUCT_DOCID = "docid"
DOCUMENT_PRODUCT_DOCTITLE = "doctitle"
DOCUMENT_PRODUCT_PROJECT_NAME = 'project_name'
DOCUMENT_PRODUCT_PROJECT_CODE = 'project_code'
DOCUMENT_PRODUCT_TENDEREE = 'tenderee'
DOCUMENT_PRODUCT_TENDEREE_PHONE = 'tenderee_phone'
DOCUMENT_PRODUCT_TENDEREE_CONTACT = 'tenderee_contact'
DOCUMENT_PRODUCT_PROCUREMENT_SYSTEM = 'procurement_system'
DOCUMENT_PRODUCT_BIDDING_BUDGET = 'bidding_budget'
DOCUMENT_PRODUCT_WIN_TENDERER = 'win_tenderer'
DOCUMENT_PRODUCT_PROVINCE = 'province'
DOCUMENT_PRODUCT_CITY = 'city'
DOCUMENT_PRODUCT_DISTRICT = 'district'
DOCUMENT_PRODUCT_PAGE_TIME = 'page_time'
DOCUMENT_PRODUCT_PAGE_TIME_YEAR = 'page_time_year'
DOCUMENT_PRODUCT_INFO_TYPE = 'info_type'
DOCUMENT_PRODUCT_INDUSTRY = 'industry'
DOCUMENT_PRODUCT_STATUS = 'status'
DOCUMENT_PRODUCT_CREATE_TIME = 'create_time'
DOCUMENT_PRODUCT_UPDATE_TIME = 'update_time'

DOCUMENT_PRODUCT_ORIGINAL_ID = 'original_id'
DOCUMENT_PRODUCT_DICT_NAME_ID = 'dict_name_id'
DOCUMENT_PRODUCT_DICT_BRAND_ID = "dict_brand_id"
DOCUMENT_PRODUCT_DICT_SPECS_ID = "dict_specs_id"

DOCUMENT_PRODUCT_DUMP_ID = "dump_id"

class Document_product(BaseModel):

    def __init__(self,dict):
        BaseModel.__init__(self)
        for k,v in dict.items():
            self.setValue(k,v,True)

        self.table_name = 'document_product'

    def getPrimary_keys(self):
        return ['id']
